<?php

function seopOptimizeAll($keywordArray, $postid){
	seopOptimizeTags($keywordArray, $postid);
	seopOptimizeKeywords($keywordArray, $postid);
	seopOptimizeImages($keywordArray, $postid);
}

function seopOptimizeTags($keywordArray, $postid){ 
	
	if(empty($keywordArray)){	
	} 
	else{		
		wp_set_post_tags( $postid, $keywordArray, false );
		update_post_meta($postid, 'seopTags', $keywordArray);	
	}
	

}

function seopOptimizeKeywords($keywordArray, $postid){
	if(empty($keywordArray)){	
	} 
	else{
		update_post_meta($postid, 'seopKeywords', $keywordArray);
	}	
}

function seopOptimizeImages($keywordArray, $postid){
	if(empty($keywordArray)){	
	} 
	else{	
		seopChangeImageAlt($postid, $keywordArray);
		update_post_meta($postid, 'seopImages', $keywordArray);		
	}
	
}

function seopDisplayKeywords(){ //called when post or page opens, added to head
	$postid = get_the_ID();
	$seopKeywords = get_post_meta($postid, 'seopKeywords',TRUE);
	if(empty($seopKeywords)){	
	}
	else{
		echo '<meta name="keywords" content="';
		foreach ($seopKeywords as $seopKeyword){
			echo $seopKeyword.',';
		}
		echo '" />';
	}	
}
function seopChangeImageAlt($postid, $keywordArray){
	
	
	
	$post = get_post($postid); 
	$content = $post->post_content;
	
	$dom = new DOMDocument();
	$dom->loadHTML($content);
	
	//Evaluate Anchor tag in HTML
	$xpath = new DOMXPath($dom);
	$imgs = $xpath->evaluate("/html/body//img");
	$k = 0;
	for ($i = 0; $i < $imgs->length; $i++) { //for every img tag
		$img = $imgs->item($i); 
		
		$keyword = $keywordArray[$k];  //get  keyword from array
		$keywordArraySize = count($keywordArray) - 1;  //get size of array
		if ($keywordArraySize == $k){ //if this is the last keyword in array
			$k = 0; // go back to first keyword
		}
		else{  
			$k++;  // go to next keyword
		}	
		$img->removeAttribute('alt');		
		$img->setAttribute("alt", $keyword);
		
	}	
	
	$html=$dom->saveHTML();	
	
	$my_post = array();
	$my_post['ID'] = $postid;
	$my_post['post_content'] = $html;
	
	wp_update_post( $my_post );


}

function seopInsert($keywordArray, $postid){
	
	$post = get_post($postid); 
	$content = $post->post_content;
	if(empty($keywordArray)){	
	}
	else{
		$i = 1;
		foreach ($keywordArray as $keyword){
			if ($i == 1){
				$tags.="<h1>".$keyword."</h1>";
			}
			if ($i == 2){
				$tags.="<h2  >".$keyword."</h2>";
			}
			if ($i == 3){
				$tags.="<h3 >".$keyword."</h3>";
			}			
			if ($i == 4){
				$tags.="<strong >".$keyword."</strong>";
				$i = 1;
			}
			$i++;
		}
	}	
	$output = $content.$tags;
	$my_post = array();
	$my_post['ID'] = $postid;
	$my_post['post_content'] = $output;
	wp_update_post( $my_post );

}



?>